Package be.vlaanderen.mercurius.mohm.common.v7

# Class CancelApplicationResponseType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.CancelApplicationResponseType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class CancelApplicationResponseType extends Object implements Serializable
Groeperend element voor het antwoord op de vraag tot annulering.

Java class for CancelApplicationResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CancelApplicationResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}VSBReferenceType" minOccurs="0"/>
             <choice>
               <element name="Accepted" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}CancelApplicationAcceptedType"/>
               <element name="NotAccepted" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}CancelApplicationNotAcceptedType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CancelApplicationResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CancelApplicationAcceptedType`
  `getAccepted()`
  Vraag tot annulering is verwerkt.
  `CancelApplicationNotAcceptedType`
  `getNotAccepted()`
  Vraag tot annulering is niet verwerkt.
  `String`
  `getVSBReference()`
  De VSB-referentie in het antwoord op de vraag tot annulering.
  `void`
  `setAccepted(CancelApplicationAcceptedType value)`
  Sets the value of the accepted property.
  `void`
  `setNotAccepted(CancelApplicationNotAcceptedType value)`
  Sets the value of the notAccepted property.
  `void`
  `setVSBReference(String value)`
  Sets the value of the vsbReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CancelApplicationResponseType

    public CancelApplicationResponseType()

- ## Method Details

  - ### getVSBReference

    public String getVSBReference()
    De VSB-referentie in het antwoord op de vraag tot annulering. Indien de vraag tot annulering is gefaald omwille van XSD-validatie of technische fouten zal dit veld niet aanwezig zijn.
    Returns:
      possible object is `String`

  - ### setVSBReference

    public void setVSBReference(String value)
    Sets the value of the vsbReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVSBReference()`

  - ### getNotAccepted

    public CancelApplicationNotAcceptedType getNotAccepted()
    Vraag tot annulering is niet verwerkt.
    Returns:
      possible object is `CancelApplicationNotAcceptedType`

  - ### setNotAccepted

    public void setNotAccepted(CancelApplicationNotAcceptedType value)
    Sets the value of the notAccepted property.
    Parameters:
      `value` - allowed object is `CancelApplicationNotAcceptedType`
    See Also:
      - `getNotAccepted()`

  - ### getAccepted

    public CancelApplicationAcceptedType getAccepted()
    Vraag tot annulering is verwerkt.
    Returns:
      possible object is `CancelApplicationAcceptedType`

  - ### setAccepted

    public void setAccepted(CancelApplicationAcceptedType value)
    Sets the value of the accepted property.
    Parameters:
      `value` - allowed object is `CancelApplicationAcceptedType`
    See Also:
      - `getAccepted()`